#include <stdio.h>
#include <stdlib.h>
#include "add.h"
#include "subtr.h"
#include "mult.h"
#include "divide.h"

extern double add(double val1,double val2);
extern double subtr(double val1,double val2);
extern double mult(double val1,double val2);
extern double divide(double val1,double val2);

int main(int argc, char **argv) {

  double val1,val2,result;
  char operator;
  
  if (argc != 4) {
    printf("usage: %s val1 operator val2\n",argv[0]);
    exit(-1);
  }

  val1 = atof(argv[1]);
  val2 = atof(argv[3]);
  operator = (argv[2])[0];
  switch (operator) {
  case '+':
    result=add(val1,val2);
    break;
  case '-':
    result=subtr(val1,val2);
    break;
  case '*':
    result=mult(val1,val2);
    break;
  case '/':
    result=divide(val1,val2);
    break;
  default:
    printf("Invalid operator!\n");
    exit(-1);
  }
  printf("%10.4f %c %10.4f = %10.4f\n",val1,operator,val2,result);
  
  
}
